%define name 	linphone
%define version 1.1.0
%define release %mkrel 2

%define major	1
%define libname %mklibname %name %major

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Voice over IP Application
License: 	GPL
Group: 		Communications
URL: 		http://www.linphone.org/
Source: 	http://simon.morlat.free.fr/download/1.1.x/source/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
BuildRequires:	libosip-devel >= 2.0.0
BuildRequires:	libpanel-applet-2-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	libalsa-devel jackit-devel libsamplerate-devel
BuildRequires:	openjade gtk-doc
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Linphone is web-phone with a GNOME2 interface. It uses open protocols
such as SIP and RTP to make the communications.

%package -n     %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n     %{libname}-devel
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x --enable-static --enable-shared --enable-alsa
%make

%install
%makeinstall

%find_lang %name

#mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%name): command="%{name}" \
icon="%{name}.png" \
needs="x11" \
title="LinPhone" \
longtitle="Voice over IP" \
section="More Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README AUTHORS BUGS INSTALL ChangeLog
%doc %_datadir/gnome/help/%name
%_bindir/linphone*
%_bindir/sipomatic
%_libdir/linphone_applet
%_libdir/bonobo/servers/*.server
%_mandir/man1/*
%_datadir/pixmaps/%name
%_datadir/sounds/%name
%_datadir/gnome/apps/Internet/%name.desktop
%_datadir/gnome-2.0/ui/*
#%_datadir/linphonec/linphonec
%_datadir/applications/*
%_menudir/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Aug 31 2005 Austin Acton <austin@mandriva.org> 1.1.0-2mdk
- fix menu

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 1.1.0-1mdk
- 1.1.0
- fix source URL

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Tue Mar 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-1mdk
- final 1.0.0

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 1.0.0-0.pre8.2mdk
- fix botched upload

* Thu Feb 10 2005 Austin Acton <austin@mandrake.org> 1.0.0-0.pre8.1mdk
- 1.0.0pre8
- add libs
- configure 2.5

* Wed Jul 14 2004 Michael Reinsch <mr@uue.org> 0.12.2-3mdk
- rebuild again for fixed alsa which broke broken alsa

* Mon Jun 21 2004 Michael Reinsch <mr@uue.org> 0.12.2-2mdk
- rebuild for new alsa

* Fri Apr 23 2004 Stefan van der Eijk <stefan@eijk.nu> 0.12.2-1mdk
- 0.12.2
- BuildRequires perl-XML-Parser (temp)

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.12.1-2mdk
- Fix menu

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.12.1-1mdk
- 0.12.1
- fix buildrequires

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.12.0-1mdk
- 0.12.0

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.11.0-2mdk
- move menu entry to Applications/Communications

* Sun May 25 2003 Austin Acton <aacton@yorku.ca> 0.11.0-1mdk
- 0.11.0

* Thu Apr 3 2003 Austin Acton <aacton@yorku.ca> 0.10.2-1mdk
- initial package creation
